Bug 565757 - after a day or so powerdevil is unable to manage screen powersaving
after a day or so powerdevil is unable to manage screen powersaving
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: kde-4.4
  Show dependency treegraph
 
Reported: 2010-02-16 02:28 EST by Gabriel Ramirez
Modified: 2010-02-27 21:18 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-27 21:18:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 226758 None None None Never

  None (edit)
Description Gabriel Ramirez 2010-02-16 02:28:52 EST
Description of problem:
n my netbook I have my screensaver to kick in 14 minutes require a password in
15

I set powerdevil to manage screen powersaving

in Profiles I set (Performance and Powersaving) the Screen tab to:

Suspend after 16 minutes
Power off after 17 minutes

at first powerdevil works correctly suspending and powering off the screen
 I go back to the computer type the password but 
after few times of: 

-the computer idle for 14 minutes
-screensaver
-suspending screen
-poweringoff screen
-type the password
-working 
-repeat

(sometimes after 24 hours of using the computer in the above cycle) the screen don't suspend nor
power off instead the screensaver remains

so when I notice which the screensaver remains,  I switch profiles to
powersaving and going back to perfomance, and powerdevil is able to manage the
screen again for a few times more, but some time after the screensaver remains

so my workaround is when I will know which I leave the machine for a while,
before I leaveI switch the profiles to powersaving and back to performance to
be sure which powerdevil will manage the screen powersaving

Gabriel

Version-Release number of selected component (if applicable):

kdebase-workspace-4.4.0-5.fc12.i686

How reproducible:
always , only give a day to be sure to happes

Steps to Reproduce:
1.set the powerdevil profiles as above in the description
2. wait to the computer be idle and poweroff the screen
3.type password
4. work with the computer some time
 5. go to step 2. 

Actual results:

after a while the screen saver will remain and the screen will not power off



Expected results:
power off the screen  always which the computer is idle for more of 17 minutes

Additional info:
Comment 1 Gabriel Ramirez 2010-02-16 02:32:00 EST
I filled a bug in https://bugs.kde.org/show_bug.cgi?id=226758 too
Comment 2 Steven M. Parrish 2010-02-18 19:27:39 EST
Thanks for taking to time to report this upstream.  We will monitor the upstream report for a resolution.

Steven M. Parrish
KDE & Packagekit Triager 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Kevin Kofler 2010-02-18 19:30:42 EST
Please don't close the regressions on our kde-4.4 (or qt46) tracker as UPSTREAM, we'd really like to track those particular bugs in Fedora.
Comment 4 Rex Dieter 2010-02-19 09:44:21 EST
This isn't necessarily a regression nor reproducible (yet).
Comment 5 Orion Poplawski 2010-02-23 13:22:43 EST
I think I'm seeing this as well.
Comment 6 Kevin Kofler 2010-02-27 21:18:41 EST
Thank you for taking the time to report this issue to us. As we decided this issue is not a blocker for our 4.4 update and as this bug is already reported upstream, we are going to close it as UPSTREAM.

We will continue to track the issue in the centralized upstream bug tracker,
and will review any bug fixes that become available for consideration in future
updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.